mediacard/sd test doesn't complete

Bug #953160 reported by Haggai Eran on 2012-03-12
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Checkbox
High
Jeff Lane
checkbox (Ubuntu)
High
Unassigned

Bug Description

Hi,

I tried running the mediacard/sd test on my netbook. After clicking "Test" and inserting an SD card, a dialog asking what to do with the card appears, and the SD card is mounted and appears in the launcher. However, the checkbox test doesn't notice this and just keeps waiting until it times out. It says that the verification of this test is automatic, so I assume it failed to notice the SD card insertion.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: checkbox 0.13.4
ProcVersionSignature: Ubuntu 3.2.0-18.29-generic 3.2.9
Uname: Linux 3.2.0-18-generic i686
ApportVersion: 1.94.1-0ubuntu2
Architecture: i386
Date: Mon Mar 12 18:06:18 2012
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
SourcePackage: checkbox
UpgradeStatus: Upgraded to precise on 2012-03-12 (0 days ago)

Related branches

Haggai Eran (haggai-eran) wrote :

I suspect this could be because your card reader is on the scsi bus rather than the sdio bus. Can you put this in a script and run it?

import dbus

bus = dbus.SystemBus()

ud_mgr_obj = bus.get_object("org.freedesktop.UDisks", "/org/freedesktop/UDisks")
ud_mgr = dbus.Interface(ud_mgr_obj, "org.freedesktop.UDisks")

for dev in ud_mgr.EnumerateDevices():
    try:
        device_obj = bus.get_object("org.freedesktop.UDisks", dev)
        device_props = dbus.Interface(device_obj, dbus.PROPERTIES_IFACE)
        if device_props.Get('org.freedesktop.UDisks.Device', "DeviceIsDrive"):
            print device_props.Get('org.freedesktop.UDisks.Device', "DeviceFile")
            print device_props.Get('org.freedesktop.UDisks.Device', "DriveConnectionInterface")
    except dbus.DBusException:
        pass

Haggai Eran (haggai-eran) wrote :

Sure, I got the following output (when an SD card was inserted):
> /dev/sda
> ata
> /dev/sdb
> usb

On 03/12/2012 01:39 PM, Haggai Eran wrote:
> Sure, I got the following output (when an SD card was inserted):
>> /dev/sda
>> ata
>> /dev/sdb
>> usb
>

Just so I understand what you're saying, the following things happen in
exactly this sequence:

You run Checkbox (System Testing) with no SD card installed.
You get to the SD card test and it says:
   Click test and insert a card
You click Test then insert a SD card
A verification dialog opens that says basically
   "What do you want to do with this card?"
You select an option (cancel, open browser, etc)
The card is mounted
The test times out and fails

Is that correct?

I think, and this will need some verification, that perhaps that device
is not being mounted until after the "What do you want to do" dialog is
closed out.

So can you do the following for us:

Open a terminal window and run this command:

watch -n1 mount

Then, insert the SD card

pay very close attention to the terminal and see if, on your system, the
mount entry for your sd card appears before, during or after that "What
do you want to do" dialog.

It could be that having to answer that dialog is delaying the mount of
the card long enough that the test is failing.

It could be that we just need to increase the timeout to something a
little longer like 20 seconds to account for these occasional dialogs.

--
Jeff Lane - Hardware Certification Engineer and Test Tools Developer
Ubuntu Ham: W4KDH
Freenode IRC: bladernr or bladernr_
gpg: 1024D/3A14B2DD 8C88 B076 0DD7 B404 1417 C466 4ABD 3635 3A14 B2DD

Haggai Eran (haggai-eran) wrote :

Hi Jeff,

I tried watching mount as you asked. The mount line appears before the verification dialog appears. I also believe that this dialog's implementation depends on the SD card already being mounted. It knows that this specific SD card has photos, and offers to open it with Shotwell. I don't think it could have done that without reading into the card's content.

Jeff Lane (bladernr) on 2012-03-12
Changed in checkbox (Ubuntu):
importance: Undecided → High
status: New → Confirmed
Jeff Lane (bladernr) wrote :

Ok... thanks for that Haggai...

Can you do one more thing. I know what the problem is now, but I'd like to run it on your system just to verify it... hehehe you get to be the test subject :)

(You'll may need to preface the following commands with sudo)

Run this command and insert your card
$ /usr/share/checkbox/scripts/removable_storage_watcher insert usb

Then run this command and remove your card:
$ /usr/share/checkbox/scripts/removable_storage_watcher remove usb

You SHOULD see output like this (note that MY example actually uses the proper sdio for Media Cards rather than USB):

bladernr@klaatu:~/development/checkbox/scripts$ ./removable_storage_watcher insert sdio
Expected device sdio inserted
Expected device sdio inserted
bladernr@klaatu:~/development/checkbox/scripts$ ./removable_storage_watcher remove sdio
Expected device sdio has been removed

What's happening here is that the test expects that SD/SDHC/MMC cards will appear as sdio devices, and in your case, they are appearing as USB instead.

When you confirm the above, could you also let us know the make/model and hopefully model number/SKU of your machine?

Changed in checkbox (Ubuntu):
status: Confirmed → Triaged
status: Triaged → Confirmed
Changed in checkbox:
status: New → Triaged
importance: Undecided → High
milestone: none → 0.13.5
Jeff Lane (bladernr) wrote :

Setting this to high for checkbox and the upstream because this will impact both certification and Ubuntu Friendly in addition to any user who wishes to run Checkbox on machines that present MMC cards as USB devices instead of SDIO

Daniel Manrique (roadmr) wrote :

Maybe the removable_storage_watcher can accept a set of bus ids?

removable_storage_watcher insert sdio,usb

just a suggestion :)

Haggai Eran (haggai-eran) wrote :

Jeff, you are correct. Here's what I got when I ran the commands:

$ /usr/share/checkbox/scripts/removable_storage_watcher insert usb
Expected device usb inserted
Expected device usb inserted
$ /usr/share/checkbox/scripts/removable_storage_watcher remove usb
Expected device usb has been removed

My machine is an Asus Eee PC 1005HA. I'm not sure about the SKU, but the label under the computer says: 1005HA-BLU067x.

Haggai Eran (haggai-eran) wrote :

And I don't mind being a test subject :) I'm glad I could help.

Jeff Lane (bladernr) wrote :

On 03/12/2012 04:39 PM, Daniel Manrique wrote:
> Maybe the removable_storage_watcher can accept a set of bus ids?
>
> removable_storage_watcher insert sdio,usb
>
> just a suggestion :)
>

Yeah, that's what I was thinking as a fix, if it doesn't do this
already... It won't do this as it stands now... however...

The other thought was just to have it set up all three listeners by
default (usb, firewire and sdio) or have it set up a generic listener
and just remove the device specifier.

The only issue I see with the latter is that there's no way to verify
that someone is plugging in the correct device (e.g. claiming SD/SDHC
works by plugging in a USB stick, or claiming that Firewire works by
plugging in a SD card :( )

--
Jeff Lane - Hardware Certification Engineer and Test Tools Developer
Ubuntu Ham: W4KDH
Freenode IRC: bladernr or bladernr_
gpg: 1024D/3A14B2DD 8C88 B076 0DD7 B404 1417 C466 4ABD 3635 3A14 B2DD

Daniel Manrique (roadmr) wrote :

I was thinking whether we can discern what kind of device actually got plugged in by looking at the log. I did some investigation:

my laptop has the card reader show as a USB device, and on the Unity dash I do see a usb-stick thingy. When I pop the card in I see:

Mar 12 17:33:54 snowflake kernel: [30664.180413] usbcore: registered new interface driver uas
Mar 12 17:33:54 snowflake kernel: [30664.203955] Initializing USB Mass Storage driver...
Mar 12 17:33:54 snowflake kernel: [30664.204163] scsi4 : usb-storage 2-1.4:1.0
Mar 12 17:33:54 snowflake kernel: [30664.204289] usbcore: registered new interface driver usb-storage
Mar 12 17:33:54 snowflake kernel: [30664.204291] USB Mass Storage support registered.
Mar 12 17:33:55 snowflake kernel: [30665.205091] scsi 4:0:0:0: Direct-Access Generic STORAGE DEVICE 0207 PQ: 0 ANSI: 0
Mar 12 17:33:55 snowflake kernel: [30665.647366] sd 4:0:0:0: Attached scsi generic sg2 type 0
Mar 12 17:33:55 snowflake kernel: [30665.650211] sd 4:0:0:0: [sdb] 246016 512-byte logical blocks: (125 MB/120 MiB)
Mar 12 17:33:55 snowflake kernel: [30665.651586] sd 4:0:0:0: [sdb] Write Protect is off
Mar 12 17:33:55 snowflake kernel: [30665.651590] sd 4:0:0:0: [sdb] Mode Sense: 0b 00 00 08
Mar 12 17:33:55 snowflake kernel: [30665.652861] sd 4:0:0:0: [sdb] No Caching mode page present
Mar 12 17:33:55 snowflake kernel: [30665.652865] sd 4:0:0:0: [sdb] Assuming drive cache: write through
Mar 12 17:33:55 snowflake kernel: [30665.656968] sd 4:0:0:0: [sdb] No Caching mode page present
Mar 12 17:33:55 snowflake kernel: [30665.656972] sd 4:0:0:0: [sdb] Assuming drive cache: write through
Mar 12 17:33:55 snowflake kernel: [30665.658102] sdb: sdb1
Mar 12 17:33:55 snowflake kernel: [30665.661830] sd 4:0:0:0: [sdb] No Caching mode page present
Mar 12 17:33:55 snowflake kernel: [30665.661834] sd 4:0:0:0: [sdb] Assuming drive cache: write through
Mar 12 17:33:55 snowflake kernel: [30665.661837] sd 4:0:0:0: [sdb] Attached SCSI removable disk

So there is indeed no way to tell this from a USB stick, from the kernel's point of view :( I'm sure Firewire and eSATA would not be conflated with USB, as some SD card readers are, but for SD/USB, we seem to be out of luck :(

Jeff Lane (bladernr) on 2012-03-12
Changed in checkbox:
assignee: nobody → Jeff Lane (bladernr)
status: Triaged → In Progress
Jeff Lane (bladernr) wrote :

Meh... this also requires fixing removable_storage_test :/

Jeff Lane (bladernr) wrote :

which turns out to not be as difficult as first thought...

Let's not do anything rash until we check a couple more things:

Haggai, can you run:

import dbus

bus = dbus.SystemBus()

ud_mgr_obj = bus.get_object("org.freedesktop.UDisks", "/org/freedesktop/UDisks")
ud_mgr = dbus.Interface(ud_mgr_obj, "org.freedesktop.UDisks")

for dev in ud_mgr.EnumerateDevices():
    try:
        device_obj = bus.get_object("org.freedesktop.UDisks", dev)
        device_props = dbus.Interface(device_obj, dbus.PROPERTIES_IFACE)
        if device_props.Get('org.freedesktop.UDisks.Device', "DeviceIsDrive"):
            print device_props.Get('org.freedesktop.UDisks.Device', "DeviceFile")
            print device_props.Get('org.freedesktop.UDisks.Device', "DriveConnectionInterface")
            print device_props.Get('org.freedesktop.UDisks.Device', "DriveMedia")

and paste the output here.

Thanks!

Haggai Eran (haggai-eran) wrote :

Hi,

First, your missing a finally or a catch clause :-)

I ran this script, and got this output:

/dev/sda
ata

/dev/sdb
usb

Haggai

Haggai Eran (haggai-eran) wrote :

By the way, I thought you might be interested in udisks full output, so here it is:

$ udisks --show-info /dev/sdb
Showing information for /org/freedesktop/UDisks/devices/sdb
  native-path: /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-3/1-3:1.0/host18/target18:0:0/18:0:0:0/block/sdb
  device: 8:16
  device-file: /dev/sdb
    presentation: /dev/sdb
    by-id: /dev/disk/by-id/usb-Single_Flash_Reader_058F63356336-0:0
    by-path: /dev/disk/by-path/pci-0000:00:1d.7-usb-0:3:1.0-scsi-0:0:0:0
  detected at: IST 15:03:49 2012 מרץ 13 ג'
  system internal: 0
  removable: 1
  has media: 1 (detected at IST 15:03:49 2012 מרץ 13 ג')
    detects change: 1
    detection by polling: 1
    detection inhibitable: 1
    detection inhibited: 0
  is read only: 0
  is mounted: 0
  mount paths:
  mounted by uid: 0
  presentation hide: 0
  presentation nopolicy: 0
  presentation name:
  presentation icon:
  automount hint:
  size: 1977614336
  block size: 512
  job underway: no
  usage:
  type:
  version:
  uuid:
  label:
  partition table:
    scheme: mbr
    count: 1
  drive:
    vendor: Single
    model: Flash Reader
    revision: 1.00
    serial: 058F63356336
    WWN:
    detachable: 1
    can spindown: 0
    rotational media: Yes, unknown rate
    write-cache: unknown
    ejectable: 0
    adapter: Unknown
    ports:
    similar devices:
    media:
      compat:
    interface: usb
    if speed: 480000000 bits/s
    ATA SMART: not available

Yah, stupid copy and paste :P The output of udisks is very interesting. Thanks!

Jeff Lane (bladernr) wrote :

I see only these two promising bits of output:

by-id: /dev/disk/by-id/usb-Single_Flash_Reader_058F63356336-0:0
model: Flash Reader

However, here is mine (on a correctly functioning flash reader that shows completely different data for those two:

bladernr@klaatu:~/development$ udisks --show-info /dev/mmcblk0
Showing information for /org/freedesktop/UDisks/devices/mmcblk0
  native-path: /sys/devices/pci0000:00/0000:00:1e.0/0000:09:07.1/mmc_host/mmc0/mmc0:1234/block/mmcblk0
  device: 179:0
  device-file: /dev/mmcblk0
    presentation: /dev/mmcblk0
    by-id: /dev/disk/by-id/mmc-SA04G_0x9c134189
    by-path: /dev/disk/by-path/pci-0000:09:07.1
  detected at: Tue 13 Mar 2012 11:55:54 AM EDT
  system internal: 0
  removable: 0
  has media: 1 (detected at Tue 13 Mar 2012 11:55:54 AM EDT)
    detects change: 0
    detection by polling: 0
    detection inhibitable: 0
    detection inhibited: 0
  is read only: 0
  is mounted: 0
  mount paths:
  mounted by uid: 0
  presentation hide: 0
  presentation nopolicy: 0
  presentation name:
  presentation icon:
  automount hint:
  size: 3957325824
  block size: 512
  job underway: no
  usage:
  type:
  version:
  uuid:
  label:
  partition table:
    scheme: mbr
    count: 1
  drive:
    vendor:
    model: SA04G
    revision: 01/2009
    serial: 9c134189
    WWN:
    detachable: 0
    can spindown: 0
    rotational media: No
    write-cache: unknown
    ejectable: 0
    adapter: Unknown
    ports:
    similar devices:
    media: flash_sd
      compat: flash_sd
    interface: sdio
    if speed: (unknown)
    ATA SMART: not available

Jeff Lane (bladernr) wrote :

Notice media: and compat: in mine vs Haggai's :/ interface: as well, which is what we're looking for at the moment.

Jeff Lane (bladernr) wrote :
Download full text (4.2 KiB)

and as luck would have it, I have a Lenovo that shows the same SD card used in my Alienware as a USB disk :)

Here's syslog from when I inserted the SD card:
[67049.349883] usb 2-1.1: new high-speed USB device number 3 using ehci_hcd
[67049.521612] Initializing USB Mass Storage driver...
[67049.521716] usbcore: registered new interface driver usb-storage
[67049.521719] USB Mass Storage support registered.
[67049.646771] usbcore: registered new interface driver uas
[67049.658063] scsi6 : usb-storage 2-1.1:1.0
[67049.658205] usbcore: registered new interface driver ums-realtek
[67050.660388] scsi 6:0:0:0: Direct-Access Generic- Multi-Card 1.00 PQ: 0 ANSI: 0 CCS
[67050.661936] sd 6:0:0:0: Attached scsi generic sg1 type 0
[67051.577040] sd 6:0:0:0: [sdb] 7729152 512-byte logical blocks: (3.95 GB/3.68 GiB)
[67051.577912] sd 6:0:0:0: [sdb] Write Protect is off
[67051.577918] sd 6:0:0:0: [sdb] Mode Sense: 03 00 00 00
[67051.578780] sd 6:0:0:0: [sdb] No Caching mode page present
[67051.578787] sd 6:0:0:0: [sdb] Assuming drive cache: write through
[67051.582166] sd 6:0:0:0: [sdb] No Caching mode page present
[67051.582172] sd 6:0:0:0: [sdb] Assuming drive cache: write through
[67051.584035] sdb: sdb1
[67051.586774] sd 6:0:0:0: [sdb] No Caching mode page present
[67051.586780] sd 6:0:0:0: [sdb] Assuming drive cache: write through
[67051.586785] sd 6:0:0:0: [sdb] Attached SCSI removable disk
[67052.363219] FAT-fs (sdb1): Invalid FSINFO signature: 0x00000000, 0x00000000 (sector = 1)

That last line is probably from me screwing the filesystem by doing strange partitioning on it from time to time for other testing.

So here's udisks from my Lenovo:

bladernr@GarbageScow:~$ udisks --show-info /dev/sdb
Showing information for /org/freedesktop/UDisks/devices/sdb
  native-path: /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1/2-1.1:1.0/host6/target6:0:0/6:0:0:0/block/sdb
  device: 8:16
  device-file: /dev/sdb
    presentation: /dev/sdb
    by-id: /dev/disk/by-id/usb-Generic-_Multi-Card_20071114173400000-0:0
    by-path: /dev/disk/by-path/pci-0000:00:1d.0-usb-0:1.1:1.0-scsi-0:0:0:0
  detected at: Tue 13 Mar 2012 12:19:40 PM EDT
  system internal: 0
  removable: 1
  has media: 1 (detected at Tue 13 Mar 2012 12:19:40 PM EDT)
    detects change: 1
    detection by polling: 1
    detection inhibitable: 1
    detection inhibited: 0
  is read only: 0
  is mounted: 0
  mount paths:
  mounted by uid: 0
  presentation hide: 0
  presentation nopolicy: 0
  presentation name:
  presentation icon:
  automount hint:
  size: 3957325824
  block size: 512
  job underway: no
  usage:
  type:
  version:
  uuid:
  label:
  partition table:
    scheme: mbr
    count: ...

Read more...

Jeff Lane (bladernr) wrote :

err.... ^^^ "NOTE specifically" not "Not specifically"

Jeff Lane (bladernr) wrote :

I don't know that there IS a way to really determine if that usb device is or is not a card reader :( at least not in an easily reproducible manner that doesn't have something like a list of keywords to look for in the vendor or model fields. Unfortunately, I fear that would simply lead to a pre-defined list of keywords that are all vendor/model specific and would never be complete.

Jeff Lane (bladernr) wrote :
Download full text (10.7 KiB)

So looking at this a little more...

This is what the kernel says (according to syslog) when I plug in the following: USB Hard Drive, USB Key, MMC Card

USB HDD:
Mar 13 18:22:08 klaatu kernel: [718497.956677] usb 2-1.2.3: USB disconnect, device number 30
Mar 13 18:22:15 klaatu kernel: [718505.541473] usb 1-1.1: new high speed USB device number 17 using ehci_hcd
Mar 13 18:22:16 klaatu kernel: [718505.656946] scsi23 : usb-storage 1-1.1:1.0
Mar 13 18:22:16 klaatu mtp-probe: checking bus 1, device 17: "/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.1"
Mar 13 18:22:16 klaatu mtp-probe: bus: 1, device: 17 was not an MTP device
Mar 13 18:22:18 klaatu kernel: [718508.200409] scsi 23:0:0:0: Direct-Access Toshiba External USB HDD PQ: 0 ANSI: 4
Mar 13 18:22:18 klaatu kernel: [718508.254801] sd 23:0:0:0: Attached scsi generic sg2 type 0
Mar 13 18:22:18 klaatu kernel: [718508.256063] sd 23:0:0:0: [sde] 976773168 512-byte logical blocks: (500 GB/465 GiB)
Mar 13 18:22:18 klaatu kernel: [718508.262592] sd 23:0:0:0: [sde] Write Protect is off
Mar 13 18:22:18 klaatu kernel: [718508.262601] sd 23:0:0:0: [sde] Mode Sense: 38 00 00 00
Mar 13 18:22:18 klaatu kernel: [718508.269110] sd 23:0:0:0: [sde] No Caching mode page present
Mar 13 18:22:18 klaatu kernel: [718508.269118] sd 23:0:0:0: [sde] Assuming drive cache: write through
Mar 13 18:22:18 klaatu kernel: [718508.284056] sd 23:0:0:0: [sde] No Caching mode page present
Mar 13 18:22:18 klaatu kernel: [718508.284064] sd 23:0:0:0: [sde] Assuming drive cache: write through
Mar 13 18:22:18 klaatu kernel: [718508.309457] sde: sde1
Mar 13 18:22:18 klaatu kernel: [718508.324283] sd 23:0:0:0: [sde] No Caching mode page present
Mar 13 18:22:18 klaatu kernel: [718508.324291] sd 23:0:0:0: [sde] Assuming drive cache: write through
Mar 13 18:22:18 klaatu kernel: [718508.324297] sd 23:0:0:0: [sde] Attached SCSI disk
Mar 13 18:22:18 klaatu ata_id[15241]: HDIO_GET_IDENTITY failed for '/dev/sde': Invalid argument
Mar 13 18:22:20 klaatu ntfs-3g[15258]: Version 2011.4.12AR.4 external FUSE 28
Mar 13 18:22:20 klaatu ntfs-3g[15258]: Mounted /dev/sde1 (Read-Write, label "PortoJohn", NTFS 3.1)
Mar 13 18:22:20 klaatu ntfs-3g[15258]: Cmdline options: rw,nosuid,nodev,uhelper=udisks,uid=1000,gid=1000,dmask=0077,fmask=0177
Mar 13 18:22:20 klaatu ntfs-3g[15258]: Mount options: rw,nosuid,nodev,uhelper=udisks,allow_other,nonempty,relatime,fsname=/dev/sde1,blkdev,blksize=4096,default_permissions
Mar 13 18:22:20 klaatu ntfs-3g[15258]: Global ownership and permissions enforced, configuration type 7

USB KEY:

Mar 13 18:23:17 klaatu kernel: [718566.920318] usb 1-1.1: new high speed USB device number 18 using ehci_hcd
Mar 13 18:23:17 klaatu mtp-probe: checking bus 1, device 18: "/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.1"
Mar 13 18:23:17 klaatu kernel: [718567.016039] scsi24 : usb-storage 1-1.1:1.0
Mar 13 18:23:17 klaatu mtp-probe: bus: 1, device: 18 was not an MTP device
Mar 13 18:23:18 klaatu kernel: [718568.017026] scsi 24:0:0:0: Direct-Access Kingston DataTraveler 2.0 PMAP PQ: 0 ANSI: 0 CCS
Mar 13 18:23:18 klaatu kernel: [718568.167427] sd 24:0:0:0: Attached scsi generic sg2 type 0
Mar 13 18:23:20 klaatu kernel: [7185...

Jeff Lane (bladernr) wrote :

The branch attached works around this by allowing us to scan both usb and sdio for connection events. This covers the, apparently common, case where a media card reader is accessed through the common USB bus rather than via SDIO. I'm still also poking around for some way to stab through the USB layer to discover definitively what is attached (rather than relying on device.vendor and device.model) but I've yet to find any real means to do so.

Please also take into account that we have an identical problem on other systems where the card reader is on the SCSI bus.

Jeff Lane (bladernr) wrote :

Ugh... updated branch to include scsi

The upside is that from what I've seen across 4 systems (Alienware M15x, Lenovo E320, Lenovo x201 and Lenovo S10) the SATA hard disks appear on the ata bus, not SCSI, and that should hold true for all desktops with SATA drives as well. There's a risk that this could pick up SAS disks, however, it's doubtful we'll be certifying or testing a desktop or laptop with a SAS disk in it, for the same reasons you really never saw desktops or laptops with SCSI disks (or very rarely saw anyway).

The downside is that we DO run the risk of having a test that accidentally hits all disks.

I don't think that's "terribly" likely, but it is a possibility that needs to be considered.

The insert/remove scripts look for specific insertion/remove events, so they should not be impacted by the presense of other devices on those buses. The removable_storage_test tests. however, could possibly run against other devices if, say, a system that has a MMC Reader on the USB bus has both an MMC card and a USB Key plugged in. This COULD definitely happen when people are running from live iso on USB. I just don't know of any way around this, nor have I been able to find one.

We could

Jeff Lane (bladernr) on 2012-03-15
Changed in checkbox:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package checkbox - 0.13.5

---------------
checkbox (0.13.5) precise; urgency=low

  * New upstream release (LP: #960633)

  * Automated translation file updates from Launchpad

  [Tiago Salem Herrmann]
  * qt/frontend/qtfront.ui: If the test text is too long, then it is cut off
    (LP: #950111)
  * checkbox_qt/qt_interface.py, qt/frontend/qtfront.cpp,
    qt/frontend/qtfront.h, qt/frontend/qtfront.ui: add a popup comment box
    for each test under the "Run" tab. (LP: #959452)
  * checkbox/user_interface.py, qt/frontend/qtfront.cpp,
    qt/frontend/qtfront.h, checkbox_qt/qt_interface.py: Set
    interface.direction to NEXT if all the tests were executed and the user
    either analyzed or submitted the results. (LP: #956329)
  * checkbox/user_interface.py, plugins/user_interface.py,
    qt/frontend/qtfront.cpp, qt/frontend/qtfront.h,
    checkbox_qt/qt_interface.py: Use the ui persistent storage to keep some ui
    configuration values. (LP: #937626)
  * checkbox/user_interface.py: Avoid using fork() + call() to run a web
    browser. Use Popen instead.(LP: #956307)
  * qt/frontend/qtfront.ui, qt/frontend/qtfront.cpp, qt/frontend/qtfront.h:
    Removed welcome tab (LP: #957090)

  [Jeff Lane]
  * Reset default checkbox log level to INFO from DEBUG to make logs less
    confusing and verbose. (LP: #949745)
  * Removed dependency on bluetooth/detect-output on the
    suspend/suspend_advanced job. (LP: #955375)
  * jobs/mediacard.txt.in, scripts/removable_storage_test,
    scripts/removable_storage_watcher: Modified removable_storage_watcher and
    removable_storage_test to accept list of busses to watch to resolve
    problems on systems with MMC readers that present themselves as USB
    devices rather than SDIO (LP: #953160)
  * jobs/optical.txt.in: Fixed the job descriptions for optical/read and
    optical/cdrom-audio-playback to account for changes in Precise and make
    them less confusing (LP: #954606)

  [Marc Tardif]
  * Linted qt_interface which had a few syntax errors (LP: #949957)
  * plugins/apport_prompt.py: Fixed apport integration was producing a trace
    (LP: #959463)

  [Daniel Manrique]
  * Bumped revision number to 0.13.5 in trunk
  * jobs/keys.txt.in: Fix definition for keys/media-keys test which failed to
    run (LP: #954480)

  [Sylvain Pineau]
  * Show the UF invalidation warning if all test cases are unchecked from the
    right click menu (LP: #956757)
  * checkbox_qt/qt_interface.py, qt/frontend/qtfront.cpp,
    qt/frontend/qtfront.h: Tests now select Yes on PASS status (LP: #954556)
 -- Daniel Manrique <email address hidden> Tue, 20 Mar 2012 17:33:17 -0400

Changed in checkbox (Ubuntu):
status: Confirmed → Fix Released
Ara Pulido (ara) on 2012-03-22
Changed in checkbox:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers